Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members

# transaction.h File Reference

Declares the Transaction class. More...

`#include "common.h"`

Include dependency graph for transaction.h:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp

## Detailed Description

Declares the Transaction class.

This object works with the Connection class to automate the use of MySQL transactions. It allows you to express these transactions directly in C++ code instead of sending the raw SQL commands.